Package: org.gradle.language.base.plugins

## [Java] Class ComponentModelBasePlugin

- org.gradle.language.base.plugins.ComponentModelBasePlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      public class ComponentModelBasePlugin
      extends Object

  Base plugin for language support. Adds a ComponentSpecContainer named `componentSpecs` to the project. For each binary instance added to the binaries container, registers a lifecycle task to create that binary.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ComponentModelBasePlugin (org.gradle.model.internal.registry.ModelRegistry modelRegistry, org.gradle.model.internal.manage.schema.ModelSchemaStore schemaStore)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### @javax.inject.Inject public ComponentModelBasePlugin(org.gradle.model.internal.registry.ModelRegistry modelRegistry, org.gradle.model.internal.manage.schema.ModelSchemaStore schemaStore)

  - ### Method Detail

    - #### public void apply(org.gradle.api.internal.project.ProjectInternal project)